<template>
  <div class="bg-header border-bottom">
    <div class="container">
      <div class="row gy-3 gy-md-0 align-items-center py-3">
        <div class="col-auto">
          <nuxt-link to="/">
            <svg
              width="142"
              height="43"
              viewBox="0 0 142 43"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M121.545 42.5737C119.844 42.5737 118.142 42.1382 116.623 41.2672L106.723 35.5535C103.629 33.7394 101.793 30.5436 101.793 26.9989V15.5774C101.793 12.0442 103.684 8.76481 106.732 7.01697L116.614 1.30908C119.659 -0.435879 123.431 -0.435879 126.467 1.3062L136.366 7.01985C139.461 8.83692 141.297 12.0298 141.297 15.5745V26.996C141.297 30.5292 139.406 33.8086 136.358 35.5564L126.476 41.2643C124.953 42.1382 123.249 42.5737 121.545 42.5737ZM121.548 5.7681C120.839 5.7681 120.126 5.9498 119.492 6.31322L109.61 12.0211C108.344 12.7479 107.563 14.1093 107.563 15.5802V27.0018C107.563 28.4785 108.335 29.811 109.627 30.5696L119.501 36.2717C120.761 36.9956 122.335 36.9928 123.604 36.2688L133.486 30.5609C134.752 29.8341 135.533 28.4727 135.533 27.0018V15.5774C135.533 14.1006 134.76 12.7681 133.469 12.0067L123.595 6.30745C122.967 5.94692 122.257 5.7681 121.548 5.7681Z"
                fill="#DB3755"
              />
              <path
                d="M75.6271 20.9853V25.1934C75.2926 25.4183 74.5516 25.551 73.7932 25.551C72.3168 25.551 71.6219 24.6338 71.6219 22.5283V20.9622C71.6219 20.5151 71.1518 20.2238 70.728 20.4027L68.1991 21.5881V22.5283C68.1991 23.6936 68.1328 24.3425 68.0203 24.7232C67.1466 25.3058 66.0047 25.551 64.6177 25.551C62.3137 25.551 61.2382 24.1637 61.2382 21.0516V18.7471C61.2382 18.3 60.7682 17.9857 60.3645 18.2106L58.0605 19.3759C56.068 23.8089 50.2489 25.577 42.2816 25.577C34.6056 25.577 31.1136 22.9581 31.1136 15.3697V7.63994C31.1136 7.19288 30.6436 6.8785 30.2197 7.0804L27.6908 8.33504V18.4096C27.6908 23.6474 25.0495 25.4616 18.178 25.5741C17.7973 25.5741 17.5061 25.9317 17.5724 26.3124L18.178 29.2688C24.2219 29.2688 27.7139 27.6796 29.2566 23.3821C30.6436 26.9412 34.3605 29.2688 41.5002 29.2688C49.0868 29.2688 55.6008 27.3219 58.2191 23.5147C58.4642 26.895 60.1655 29.2688 63.8363 29.2688C66.2527 29.2688 68.1328 28.5737 69.2747 26.9181C69.7908 28.3747 71.1547 29.2688 73.2597 29.2688C76.9305 29.2688 79.0557 26.5605 79.0557 22.9119V19.8633C79.0557 17.1781 78.8538 15.1851 78.43 14.1756C78.2281 13.6593 77.6456 13.6593 77.2217 13.9074L74.7361 15.4072C75.2926 16.483 75.6271 18.4096 75.6271 20.9853ZM15.107 19.1942V18.701C15.107 13.1056 13.8526 10.2848 9.62244 10.2848C5.39226 10.2848 2.77399 13.6622 2.77399 18.923V20.1777C2.77399 20.6247 3.24401 20.9391 3.66789 20.7141L6.19677 19.4595V17.6251C6.19677 15.5427 6.26309 14.715 6.55433 14.0429C7.04742 13.7516 7.85193 13.4834 8.83811 13.4834C10.9633 13.4834 11.7044 14.9399 11.7044 19.5489V21.9457C8.86118 21.8996 6.82539 22.0351 5.349 22.3495C1.63498 23.1109 0 26.5807 0 31.0801V34.9305C0 35.3776 0.47002 35.6919 0.873719 35.4901L3.4026 34.2354V30.2956C3.4026 28.5275 3.49199 26.8489 3.69384 26.0413C4.4551 25.7731 7.2089 25.6173 10.2078 25.5481C12.8261 25.5049 15.107 22.9985 15.107 19.1942ZM22.4254 22.3264V7.61686C22.4254 7.16981 21.9554 6.85543 21.5517 7.05732L19.0228 8.31196V23.0215C19.0228 23.4686 19.4929 23.783 19.8966 23.5811L22.4254 22.3264ZM95.146 19.8633C95.146 17.1781 94.9441 15.1851 94.5202 14.1756C94.2953 13.6593 93.7359 13.6593 93.312 13.9074L90.8264 15.4072C91.4319 16.5032 91.7434 18.4298 91.7434 21.0026V25.0549C91.1839 25.3693 90.1314 25.5712 89.102 25.5712C87.1556 25.5712 86.3713 24.7434 86.3713 22.3264V13.1488C86.3713 10.4636 86.1694 8.4706 85.7455 7.46112C85.5437 6.94484 84.9612 6.94484 84.5373 7.19288L82.0517 8.66961C82.6342 9.76561 82.9687 11.6923 82.9687 14.265V22.9062C82.9687 27.0018 84.6238 29.2428 88.6983 29.2428C92.6603 29.2428 95.1661 26.7797 95.1661 22.886V19.8633H95.146ZM90.3996 31.7521H87.6919C87.3575 31.7521 87.0864 32.0203 87.0864 32.378V35.5795H90.3996C90.7341 35.5795 91.0052 35.3112 91.0052 34.9536V32.378C91.0052 32.0203 90.737 31.7521 90.3996 31.7521Z"
                fill="#010101"
              />
            </svg>
          </nuxt-link>
        </div>
        <div class="col-md-5 me-auto order-last order-md-0">
          <div class="position-relative">
            <form @submit.prevent="onSearch">
              <input
                v-model="searchText"
                class="form-control form-control-lg rounded-pill"
                placeholder="جست و جو"
              />
              <button class="search-icon-place btn p-0" type="submit">
                <svg
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M23.245 23.996C23.045 23.996 22.856 23.918 22.715 23.776L16.2 17.26C15.439 17.911 14.582 18.442 13.647 18.839C12.418 19.361 11.127 19.626 9.80996 19.626C8.55296 19.626 7.31796 19.385 6.13696 18.908C3.70596 17.927 1.80296 16.059 0.777962 13.646C-0.247038 11.234 -0.272038 8.56599 0.708962 6.13599C1.68996 3.70599 3.55796 1.80199 5.96996 0.77699C7.19896 0.25399 8.48896 -0.0100098 9.80696 -0.0100098C11.064 -0.0100098 12.299 0.23199 13.48 0.70799C15.911 1.68899 17.814 3.55699 18.839 5.96999C19.864 8.38299 19.889 11.05 18.908 13.48C18.506 14.476 17.952 15.389 17.259 16.198L23.776 22.716C24.068 23.008 24.068 23.484 23.776 23.777C23.634 23.918 23.445 23.996 23.245 23.996ZM9.80696 1.48999C8.69196 1.48999 7.59796 1.71399 6.55696 2.15699C4.51296 3.02599 2.92996 4.63799 2.09896 6.69699C1.26796 8.75599 1.28896 11.015 2.15696 13.059C3.02596 15.103 4.63796 16.686 6.69696 17.517C7.69796 17.921 8.74496 18.125 9.80896 18.125C10.924 18.125 12.018 17.901 13.059 17.458C14.033 17.044 14.906 16.46 15.653 15.722C15.663 15.708 15.674 15.696 15.685 15.685C15.701 15.669 15.716 15.656 15.73 15.646C16.493 14.875 17.099 13.953 17.516 12.918C18.347 10.859 18.326 8.59999 17.457 6.55599C16.589 4.51199 14.976 2.92899 12.917 2.09799C11.918 1.69499 10.871 1.48999 9.80696 1.48999Z"
                    fill="#7D7D7D"
                  />
                </svg>
              </button>
            </form>
          </div>
        </div>
        <div class="col-auto ms-auto ms-md-0">
          <div class="d-flex align-items-center justify-content-center">
            <svg
              width="58"
              height="48"
              viewBox="0 0 58 48"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M39.936 20.625H26.064C25.7392 20.6191 25.4259 20.5037 25.1749 20.2975C24.9239 20.0913 24.7499 19.8064 24.681 19.489L22.543 10.489C22.4858 10.2735 22.4778 10.0478 22.5198 9.82875C22.5618 9.60972 22.6526 9.40297 22.7855 9.22386C22.9184 9.04476 23.0899 8.89791 23.2874 8.79423C23.4848 8.69055 23.7031 8.63271 23.926 8.625H42.074C42.2969 8.63271 42.5152 8.69055 42.7126 8.79423C42.9101 8.89791 43.0816 9.04476 43.2145 9.22386C43.3474 9.40297 43.4382 9.60972 43.4802 9.82875C43.5222 10.0478 43.5142 10.2735 43.457 10.489L41.319 19.489C41.2501 19.8064 41.0761 20.0913 40.8251 20.2975C40.5741 20.5037 40.2608 20.6191 39.936 20.625V20.625Z"
                stroke="#7D7D7D"
                stroke-width="1.2"
                stroke-linecap="round"
                stroke-linejoin="round"
              />
              <path
                d="M25.5 8.625L30 3.375"
                stroke="#7D7D7D"
                stroke-width="1.2"
                stroke-linecap="round"
                stroke-linejoin="round"
              />
              <path
                d="M40.5 8.625L36 3.375"
                stroke="#7D7D7D"
                stroke-width="1.2"
                stroke-linecap="round"
                stroke-linejoin="round"
              />
              <rect
                x="14"
                y="3"
                width="16"
                height="16"
                rx="8"
                fill="#DC3755"
                stroke="#FAFAFA"
                stroke-width="2"
              />
              <path
                d="M21.3387 15.433C21.3387 14.6087 21.2674 13.8435 21.1248 13.1374C20.9856 12.4313 20.8013 11.7722 20.5717 11.16C20.3422 10.5443 20.0778 9.96696 19.7787 9.42783C19.483 8.8887 19.1787 8.37043 18.8656 7.87304L20.2065 7.01217C20.4569 7.42609 20.683 7.84348 20.8848 8.26435C21.0865 8.68174 21.2691 9.09913 21.4326 9.51652C21.5961 9.93391 21.7422 10.3478 21.8709 10.7583C21.9996 11.1652 22.1161 11.5635 22.2204 11.953C22.3039 11.6504 22.3926 11.3374 22.4865 11.0139C22.5804 10.6904 22.6778 10.3704 22.7787 10.0539C22.8796 9.73391 22.9822 9.42261 23.0865 9.12C23.1909 8.81391 23.2952 8.5287 23.3996 8.26435C23.5039 7.99652 23.6065 7.75304 23.7074 7.53391C23.8117 7.31478 23.9126 7.13043 24.01 6.98087L25.3456 7.8313C25.2135 8.04 25.0796 8.27478 24.9439 8.53565C24.8117 8.79652 24.6796 9.07652 24.5474 9.37565C24.4187 9.6713 24.29 9.98261 24.1613 10.3096C24.0361 10.6365 23.9143 10.9687 23.7961 11.3061C23.5248 12.0922 23.3143 12.8278 23.1648 13.513C23.0187 14.1948 22.9422 14.8348 22.9352 15.433H21.3387Z"
                fill="white"
              />
              <path
                d="M12.3449 41.9774V43H12.2406C12.0145 43 11.8128 42.9826 11.6354 42.9478C11.4615 42.9096 11.3067 42.8591 11.171 42.7965C11.0389 42.7339 10.9223 42.6609 10.8215 42.5774C10.7206 42.4904 10.6336 42.4 10.5606 42.3061C10.4145 42.4209 10.2667 42.5217 10.1171 42.6087C9.97103 42.6957 9.81277 42.7687 9.64234 42.8278C9.47538 42.8835 9.29277 42.927 9.09451 42.9583C8.89625 42.9861 8.67364 43 8.42668 43C8.01625 43 7.63538 42.9165 7.28408 42.7496C6.93625 42.5791 6.61451 42.3409 6.31886 42.0348L6.90842 41.2052C7.11712 41.4 7.32755 41.5548 7.53973 41.6696C7.7519 41.7843 7.96234 41.8643 8.17103 41.9096C8.31016 41.9409 8.44929 41.9565 8.58842 41.9565C8.65451 41.9565 8.7519 41.9513 8.8806 41.9409C9.01277 41.927 9.17277 41.8835 9.3606 41.8104C9.53799 41.7409 9.68234 41.6661 9.79364 41.5861C9.90842 41.5026 9.99538 41.4313 10.0545 41.3722L8.40582 37.407L9.35538 37.0104C9.52234 37.4174 9.67364 37.7878 9.80929 38.1217C9.94842 38.4557 10.0789 38.7722 10.2006 39.0713C10.3258 39.3704 10.4476 39.6661 10.5658 39.9583C10.6876 40.247 10.8163 40.5496 10.9519 40.8661C11.0215 41.033 11.0876 41.1861 11.1502 41.3252C11.2163 41.4609 11.2945 41.5774 11.3849 41.6748C11.4754 41.7687 11.5884 41.8435 11.7241 41.8991C11.8597 41.9513 12.0319 41.9774 12.2406 41.9774H12.3449ZM12.1378 41.9774H13.1448C13.3465 41.9774 13.5431 41.9739 13.7344 41.967C13.9257 41.9565 14.1031 41.9304 14.2665 41.8887C14.43 41.847 14.5744 41.7861 14.6996 41.7061C14.8248 41.6226 14.9222 41.5078 14.9918 41.3617C15.0265 41.2887 15.0526 41.1965 15.07 41.0852C15.0804 41.0122 15.0857 40.9339 15.0857 40.8504C15.0857 40.8052 15.0822 40.7374 15.0752 40.647C15.0683 40.553 15.0457 40.4261 15.0074 40.2661C14.9691 40.1026 14.9135 39.9322 14.8404 39.7548L14.3865 38.6383L15.3152 38.1791C15.3152 38.1826 15.3309 38.2191 15.3622 38.2887C15.3935 38.3548 15.4335 38.4452 15.4822 38.56C15.5344 38.6748 15.59 38.8087 15.6491 38.9617C15.7083 39.1113 15.7639 39.2713 15.8161 39.4417C15.9726 39.9461 16.0631 40.3913 16.0874 40.7774C16.0909 40.833 16.0926 40.8887 16.0926 40.9443C16.0926 41.2609 16.0404 41.5391 15.9361 41.7791C15.8318 42.0157 15.6926 42.2122 15.5187 42.3687C15.3483 42.5252 15.1518 42.6504 14.9291 42.7443C14.7065 42.8383 14.4613 42.9043 14.1935 42.9426C13.9291 42.9809 13.6544 43 13.3691 43H12.1378V41.9774ZM13.9535 44.7061L13.1083 45.5513L12.2526 44.7009L13.0978 43.8504L13.9535 44.7061ZM16.0926 44.7113L15.2474 45.5617L14.3918 44.7061L15.237 43.8609L16.0926 44.7113ZM20.5187 42.64C20.5187 43.0957 20.4213 43.5304 20.2265 43.9443C20.0317 44.3583 19.7726 44.7426 19.4491 45.0974C19.1291 45.4557 18.7622 45.7826 18.3482 46.0783C17.9343 46.3739 17.5082 46.6313 17.07 46.8504L16.6213 45.927C16.8717 45.7983 17.1204 45.6557 17.3674 45.4991C17.6143 45.3461 17.8474 45.1809 18.0665 45.0035C18.2856 44.8261 18.4874 44.6383 18.6717 44.44C18.8561 44.2452 19.0109 44.04 19.1361 43.8243C19.2648 43.6087 19.3604 43.3843 19.423 43.1513C19.4682 42.9843 19.4909 42.8139 19.4909 42.64C19.4909 42.5704 19.4874 42.5061 19.4804 42.447C19.4561 42.2487 19.4178 42.0365 19.3656 41.8104C19.3169 41.5809 19.263 41.3565 19.2039 41.1374C19.1448 40.9183 19.0856 40.713 19.0265 40.5217C18.9674 40.327 18.9169 40.1652 18.8752 40.0365L19.8561 39.7339C19.9882 40.1374 20.1169 40.4817 20.2422 40.767C20.3674 41.0487 20.4961 41.28 20.6282 41.4609C20.7604 41.6383 20.8978 41.7687 21.0404 41.8522C21.1865 41.9357 21.3465 41.9774 21.5204 41.9774H21.6039V43H21.5152C21.4665 43 21.4039 42.9983 21.3274 42.9948C21.2509 42.9913 21.1656 42.9774 21.0717 42.953C20.9813 42.9287 20.8874 42.8904 20.79 42.8383C20.6961 42.7861 20.6056 42.713 20.5187 42.6191V42.64ZM21.4074 41.9774H22.5395C23.0022 41.9774 23.4648 41.9339 23.9274 41.847C24.39 41.7565 24.8456 41.6383 25.2943 41.4922C25.743 41.3461 26.1813 41.1791 26.6091 40.9913C27.0369 40.8035 27.4491 40.6104 27.8456 40.4122C27.6056 40.3287 27.3761 40.2383 27.1569 40.1409C26.9378 40.0435 26.7222 39.9443 26.51 39.8435C26.3465 39.767 26.1865 39.6939 26.03 39.6243C25.8769 39.5513 25.7274 39.487 25.5813 39.4313C25.4387 39.3757 25.303 39.3322 25.1743 39.3009C25.0456 39.2661 24.9274 39.2487 24.8195 39.2487C24.6769 39.2487 24.5413 39.28 24.4126 39.3426C24.2839 39.4052 24.1639 39.4852 24.0526 39.5826C23.9448 39.6765 23.8474 39.7791 23.7604 39.8904C23.6735 39.9983 23.5987 40.1009 23.5361 40.1983C23.4735 40.2922 23.4248 40.3722 23.39 40.4383C23.3587 40.5009 23.343 40.5339 23.343 40.5374L22.4039 40.1148C22.4074 40.1078 22.4213 40.0783 22.4456 40.0261C22.4735 39.9704 22.5117 39.9009 22.5604 39.8174C22.6126 39.7339 22.6735 39.6383 22.743 39.5304C22.8161 39.4226 22.8995 39.313 22.9935 39.2017C23.2648 38.8748 23.5517 38.6296 23.8543 38.4661C24.1604 38.3026 24.4822 38.2209 24.8195 38.2209C24.9865 38.2209 25.1552 38.24 25.3256 38.2783C25.4995 38.3165 25.6752 38.3687 25.8526 38.4348C26.03 38.4974 26.2108 38.5704 26.3952 38.6539C26.5795 38.7374 26.7656 38.8226 26.9535 38.9096C27.1587 39.007 27.3656 39.1026 27.5743 39.1965C27.7865 39.2904 27.9987 39.3757 28.2108 39.4522C28.423 39.5252 28.6352 39.5843 28.8474 39.6296C29.0595 39.6748 29.2735 39.6974 29.4891 39.6974L29.6874 40.6887C29.4439 40.7896 29.2022 40.8991 28.9622 41.0174C28.7222 41.1322 28.4717 41.2539 28.2108 41.3826C27.8282 41.5739 27.4161 41.7652 26.9743 41.9565C26.5361 42.1478 26.0752 42.3217 25.5917 42.4783C25.1117 42.6313 24.6143 42.7565 24.0995 42.8539C23.5848 42.9513 23.0648 43 22.5395 43H21.4074V41.9774ZM25.6335 36.4052L24.783 37.2557L23.9274 36.4L24.7778 35.5496L25.6335 36.4052ZM40.1184 41.9774V43H40.014C39.7879 43 39.5862 42.9826 39.4088 42.9478C39.2349 42.9096 39.0801 42.8591 38.9445 42.7965C38.8123 42.7339 38.6958 42.6609 38.5949 42.5774C38.494 42.4904 38.4071 42.4 38.334 42.3061C38.1879 42.4209 38.0401 42.5217 37.8906 42.6087C37.7445 42.6957 37.5862 42.7687 37.4158 42.8278C37.2488 42.8835 37.0662 42.927 36.8679 42.9583C36.6697 42.9861 36.4471 43 36.2001 43C35.7897 43 35.4088 42.9165 35.0575 42.7496C34.7097 42.5791 34.3879 42.3409 34.0923 42.0348L34.6819 41.2052C34.8906 41.4 35.101 41.5548 35.3132 41.6696C35.5253 41.7843 35.7358 41.8643 35.9445 41.9096C36.0836 41.9409 36.2227 41.9565 36.3619 41.9565C36.4279 41.9565 36.5253 41.9513 36.654 41.9409C36.7862 41.927 36.9462 41.8835 37.134 41.8104C37.3114 41.7409 37.4558 41.6661 37.5671 41.5861C37.6819 41.5026 37.7688 41.4313 37.8279 41.3722L36.1793 37.407L37.1288 37.0104C37.2958 37.4174 37.4471 37.7878 37.5827 38.1217C37.7219 38.4557 37.8523 38.7722 37.974 39.0713C38.0993 39.3704 38.221 39.6661 38.3393 39.9583C38.461 40.247 38.5897 40.5496 38.7253 40.8661C38.7949 41.033 38.861 41.1861 38.9236 41.3252C38.9897 41.4609 39.0679 41.5774 39.1584 41.6748C39.2488 41.7687 39.3619 41.8435 39.4975 41.8991C39.6332 41.9513 39.8053 41.9774 40.014 41.9774H40.1184ZM43.7982 41.9774V43H43.6939C43.3426 43 43.0504 42.9409 42.8174 42.8226C42.5843 42.7009 42.393 42.5443 42.2435 42.353C42.0243 42.5722 41.7408 42.7357 41.393 42.8435C41.0452 42.9478 40.6156 43 40.1043 43H39.9113V41.9774H40.1043C40.6887 41.9774 41.113 41.873 41.3774 41.6643C41.6417 41.4522 41.7739 41.1391 41.7739 40.7252C41.7739 40.527 41.7582 40.3252 41.7269 40.12C41.6991 39.9148 41.6469 39.68 41.5704 39.4157L42.5513 39.1391C42.5861 39.2609 42.6156 39.3791 42.64 39.4939C42.6643 39.6052 42.6852 39.7235 42.7026 39.8487C42.72 39.9739 42.7356 40.1096 42.7495 40.2557C42.7669 40.4017 42.7826 40.567 42.7965 40.7513C42.8069 40.88 42.8261 41.0157 42.8539 41.1583C42.8817 41.3009 42.9269 41.433 42.9895 41.5548C43.0556 41.6765 43.1443 41.7774 43.2556 41.8574C43.3704 41.9374 43.5165 41.9774 43.6939 41.9774H43.7982ZM42.6191 44.8678L41.7687 45.7183L40.913 44.8626L41.7635 44.0122L42.6191 44.8678ZM43.591 41.9774H43.7057C43.911 41.9774 44.0953 41.9374 44.2588 41.8574C44.4223 41.7739 44.5666 41.6661 44.6918 41.5339C44.8205 41.3983 44.9318 41.2435 45.0257 41.0696C45.1197 40.8957 45.2014 40.7148 45.271 40.527C45.3405 40.3357 45.3997 40.1443 45.4484 39.953C45.4971 39.7617 45.5388 39.5809 45.5736 39.4104L46.6066 39.6296C46.5788 39.713 46.544 39.8209 46.5023 39.953C46.464 40.0852 46.4257 40.2278 46.3875 40.3809C46.3492 40.5304 46.3162 40.6852 46.2884 40.8452C46.2605 41.0017 46.2466 41.1478 46.2466 41.2835C46.2466 41.3774 46.2553 41.4696 46.2727 41.56C46.2901 41.647 46.3197 41.7252 46.3614 41.7948C46.4031 41.8643 46.4605 41.92 46.5336 41.9617C46.6066 42.0035 46.6988 42.0243 46.8101 42.0243C46.9875 42.0243 47.1457 41.9757 47.2849 41.8783C47.4275 41.7809 47.5527 41.6539 47.6605 41.4974C47.7718 41.3409 47.8675 41.1635 47.9475 40.9652C48.031 40.767 48.1005 40.5652 48.1562 40.36C48.2153 40.1548 48.2623 39.9565 48.2971 39.7652C48.3353 39.5704 48.3649 39.4017 48.3857 39.2591L49.3875 39.4417L49.3614 39.6087C49.3405 39.7235 49.3162 39.8626 49.2884 40.0261C49.264 40.1861 49.2414 40.3583 49.2205 40.5426C49.1997 40.7235 49.1892 40.8852 49.1892 41.0278C49.1892 41.1565 49.1979 41.28 49.2153 41.3983C49.2362 41.513 49.2675 41.6157 49.3092 41.7061C49.3544 41.793 49.4118 41.8661 49.4814 41.9252C49.5544 41.9809 49.6431 42.0139 49.7475 42.0243C49.8136 42.0313 49.8762 42.0348 49.9353 42.0348C50.0362 42.0348 50.1353 42.0226 50.2327 41.9983C50.3336 41.9704 50.4223 41.9165 50.4988 41.8365C50.5788 41.7565 50.6362 41.6557 50.671 41.5339C50.7057 41.4122 50.7231 41.2748 50.7231 41.1217C50.7231 40.9235 50.6953 40.7096 50.6397 40.48C50.5875 40.2504 50.5231 40.0261 50.4466 39.807C50.3736 39.5843 50.2953 39.3791 50.2118 39.1913C50.1318 39 50.064 38.8487 50.0084 38.7374L50.9214 38.2574C50.9388 38.2922 50.9718 38.36 51.0205 38.4609C51.0692 38.5583 51.1249 38.68 51.1875 38.8261C51.2501 38.9687 51.3144 39.1322 51.3805 39.3165C51.4466 39.4974 51.5075 39.687 51.5631 39.8852C51.6223 40.0835 51.6692 40.287 51.704 40.4957C51.7423 40.7043 51.7614 40.9078 51.7614 41.1061C51.7614 41.4052 51.7197 41.6765 51.6362 41.92C51.5527 42.16 51.4275 42.3652 51.2605 42.5357C51.0936 42.7061 50.8849 42.8365 50.6344 42.927C50.391 43.0174 50.1075 43.0626 49.784 43.0626H49.7475C49.6153 43.0626 49.4814 43.0417 49.3457 43C49.2136 42.9583 49.0866 42.9026 48.9649 42.833C48.8431 42.76 48.7301 42.6765 48.6257 42.5826C48.5214 42.4852 48.4327 42.3809 48.3597 42.2696C48.151 42.513 47.9144 42.7061 47.6501 42.8487C47.3857 42.9913 47.1057 43.0626 46.8101 43.0626C46.6814 43.0626 46.5475 43.0452 46.4084 43.0104C46.2727 42.9791 46.1423 42.9304 46.0171 42.8643C45.8918 42.7983 45.7771 42.7165 45.6727 42.6191C45.5718 42.5217 45.4936 42.4087 45.4379 42.28C45.3336 42.3913 45.2223 42.4922 45.104 42.5826C44.9857 42.6696 44.8571 42.7443 44.7179 42.807C44.5788 42.8696 44.424 42.9183 44.2536 42.953C44.0866 42.9843 43.9023 43 43.7005 43H43.591V41.9774Z"
                fill="#3E3E3E"
              />
            </svg>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      searchText: this.$route.query.s,
    }
  },
  methods: {
    onSearch() {
      this.$router.push({
        name: 'search',
        query: { s: this.searchText || undefined },
      })
    },
  },
}
</script>

<style scoped>
.bg-header {
  background-color: #fafafa;
}
.search-icon-place {
  position: absolute;
  top: 50%;
  left: 25px;
  transform: translate(-50%, -50%);
}
</style>

